#!/bin/bash

# set VERSION
eval $(grep '^\s*VERSION=' mozilla-firefox-l10n.SlackBuild)
case $VERSION in
	"10.0")
		VERSION="$VERSION-real" ;;
esac
URL=http://download-installer.cdn.mozilla.net/pub/firefox/releases/$VERSION/linux-i686/xpi/
pkgdir=firefox-xpi-$VERSION
pkgname=${pkgdir}.tar.xz

rm -rf ${pkgdir} ${pkgname}
mkdir ${pkgdir}
cd ${pkgdir}
wget -r -l1 -nd -A '*.xpi' "$URL"
# these are included in the main firefox package
rm ar.xpi \
	bg.xpi \
	cs.xpi \
	da.xpi \
	de.xpi \
	el.xpi \
	en-US.xpi \
	es-AR.xpi \
	es-CL.xpi \
	es-ES.xpi \
	es-MX.xpi \
	fi.xpi \
	fr.xpi \
	he.xpi \
	hu.xpi \
	it.xpi \
	ja.xpi \
	lv.xpi \
	mk.xpi \
	nb-NO.xpi \
	nl.xpi \
	pl.xpi \
	pt-BR.xpi \
	pt-PT.xpi \
	ro.xpi \
	ru.xpi \
	sv-SE.xpi \
	tr.xpi \
	uk.xpi

cd ..
tar -cf - ${pkgdir} | xz - > ${pkgname}
rm -rf ${pkgdir}
